# Fetching a single Participation

This endpoint returns structured Participation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `participations` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: GET /participations/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `active_roles` (Role) - Retrieves all of the project roles of the participant. The response will include `active_role_ids`, which references the data in the `roles` top-level key.
- `external_references` (ExternalReference) - Includes references to external integrations for this object.
- `primary_role` (Role) - Retrieves account role of the participant. Only visible when the authenticated user is on the same account the project is on. The response will include `primary_role_id`, which references the data in the `roles` top-level key.
- `user` (User) - Retrieves the user (also known as the participant). The response will include `user_id`, which references the data in the `users` top-level key.
- `workspace` (Workspace) - Retrieves the project. The response will include `workspace_id`, which references the data in the `workspaces` top-level key.
- `workspace_resources` (WorkspaceResource) - Retrieves the resource(s) associated with the participation, ordered alphabetically. The response will include `workspace_resource_ids`, which references the data in the `workspace_resources` top-level key.
- `workspace_role` (Role) - Retrieves the primary project role for the participant. The response will include `workspace_role_id`, which references the data in the `roles` top-level key.

  - `optional_fields` (array)
    Allows you to request one or more optional fields as an array.

## Response 200:

  - `200` (unknown)
    The Participation has been retrieved.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `participations` (object)

  - `external_references` (object)

  - `users` (object)

  - `workspaces` (object)

  - `roles` (object)

  - `workspace_resources` (object)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden request

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404:

  - `404` (unknown)
    Page Not Found

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503:

  - `503` (unknown)
    Service is unavailable

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

